
var wxCharts = require('../../utils/wxcharts-min.js');

var Api = require('../../utils/api.js');
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */

  data: {
    num: 0,
    winH: '',
    img: '',
    nickname: '',
    char: '',
    title: '',
    num1: 20,
    num2: 20,
    num3: 20,
    imgSrc1: '../../images/F.png',
    imgSrc: '../../images/M.png',
    name: '',
    age: '',
    xb: '',
    xueli: '',
    img1: '',
    fxpg1: '理想', fxpg2: '理想', fxpg3: '理想', fxpg4: '一般', fxpg5: '理想', fxpg6: '理想',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // var that = this;
    console.log(options, 'options')
    
    wx.getSystemInfo({
      success: (res) => {
        console.log(res.model)
        if (/^iPhone X.*/i.test(res.model)) {
          this.setData({
            iPhoneX: true,
            winH: res.windowHeight - 75
          })
        } else {
          this.setData({
            iPhoneX: false,
            winH: res.windowHeight - 50
          })
        }
      }
    });
    var lbname = options.lbname;
    wx.setNavigationBarTitle({
      title: lbname
    });
    var unitid = wx.getStorageSync('unitid');
    if (unitid == 'false' || unitid == '') {
      if (this.data.iPhoneX) {
        var obj = { index: -1, unitid: false, iphonex: true };
      } else {
        var obj = { index: -1, unitid: false, iphonex: false };
      }
      this.setData({
        itemBtn: obj
      })
    } else {
      if (this.data.iPhoneX) {
        var obj = { index: -1, unitid: true, iphonex: true };
      } else {
        var obj = { index: -1, unitid: true, iphonex: false };
      }
      // var obj = { index: , unitid: true };
      this.setData({
        itemBtn: obj
      })
    }
    let that = this;
    wx.getUserInfo({
      success: res => {
        app.globalData.userInfo = res.userInfo
        this.setData({
          userInfo: res.userInfo,
          hasUserInfo: true
        })
      }
    });
    var item = {};
    var res_id1 = options.res_id1;
    var res_id = options.id;
    var lbname = options.lbname;

    // 
    var unitid = wx.getStorageSync('unitid');
    var user = wx.getStorageSync('user');
    var data1 = {};
    var num = options.num;
    var type = options.type;

    var openid = '';
    if (typeof (res_id1) == 'undefined' && type == 0) {
      var person = wx.getStorageSync('person');
      if (person.xb == '男') {
        item.xb = '../../images/F.png'
      } else {
        item.xb = '../../images/M.png'
      }
      item.name = person.name;
      item.img = person.img;
      item.age = person.age;
      item.xueli = person.xueli;
      var user = wx.getStorageSync('user');
      openid = user.openid;
      console.log(0)
      this.setData({
        name: item.name,
        img: item.img,
        age: item.age,
        xueli: item.xueli,
        xb: item.xb,
        lbname: lbname,
        res_id: res_id,
        // num: options.num
      })
    } else if (typeof (res_id1) != 'undefined') {
      item.name = '小懂健康用户';
      item.img = Api.HOST + 'Public/yanzheng/logo.png';
      item.age = options.age;
      item.xueli = options.xueli;
      if (options.xb == '男') {
        item.xb = '../../images/F.png'
      } else {
        item.xb = '../../images/M.png'
      }
      openid = options.openid;
      this.setData({
        item: item,
        name: item.name,
        img: item.img,
        age: item.age,
        xueli: item.xueli,
        xb: item.xb,
        lbname: lbname,
        res_id: res_id,
        num: options.num
      })
    }
    var scene = wx.getStorageSync('scene');
    if (scene == 1007) {
      this.puanDuanShenFen(options);
    }
    // console.log(type)
    // num==0 普通用户
    if (num == 0) {
      this.setData({
        num: 0
      })
      // type== 1 从end 页面过来
      if (type == 1) {
        var url = Api.HOST + 'wechat.php?s=Home/del_vip';
        var allData = wx.getStorageSync('data');
        var ti_title = wx.getStorageSync("ti_title");
        data1.measure_name = ti_title;
        data1.res_id = options.idx;
        this.setData({
          name: allData.name
        })
      } else if (type == 0) {
        // type== 0 记录列表过来
        var url = Api.HOST + 'Wechat.php/Home/del_vip';
        data1.res_id = options.id;
      }
      // num==1 咨询师
    } else if (num == 1) {
      this.setData({
        num: 1
      })
      var url = Api.HOST + 'Wechat.php/Home/del_vip';
      data1.res_id = options.id;
    }
    // data1.unitid = null;
    data1.openid = openid;
    if (typeof (res_id1) != 'undefined') {
      data1.res_id = options.res_id1;
    }
    console.log(data1)
    console.log(url, 'url')
    Api.fetchPost(url, data1, (err, res) => {
      var char = res.data;
      console.log(res)
      // 获取普通用户的报告
      // if (res.data.t){
      that.setData({
        title: res.title[0],
        char: char,
        res_id: data1.res_id
      });
      var unitid = wx.getStorageSync('unitid');
      if (num == 0) {
        that.setData({
          fxpg1: res.fxpg[0], fxpg2: res.fxpg[1], fxpg3: res.fxpg[2], fxpg4: res.fxpg[3], fxpg5: res.fxpg[4], fxpg6: res.fxpg[5],
        })
        that.dealData(res.t, res.c_t_k);
      } else {
        that.dealBase(res.six);
        that.dealData(res.t, res.c_t_k);
        var e1 = res.fuzhu;
        var e2 = that.dealFl(e1[0]);
        var e3 = that.dealFl(e1[1]);
        var e4 = that.dealFl(e1[2]);
        new wxCharts({
          canvasId: 'ringCanvas',
          type: 'ring',
          title: {
            name: '被试患病几率',
            color: '#e69000',
            fontSize: 16
          },
          series: [{
            name: '精神病障碍',
            data: e4,
            color: '#666666',
          }, {
            name: '正常',
            data: e2,
            color: '#a7cc07',
          }, {
            name: '抑郁或焦虑性障碍',
            data: e3,
            color: '#ffd30c',
          }],
          width: 360,
          height: 400,
          dataLabel: true
        });
      }
    }
    )
  },
  // 拼接量表数据
  dealData(t, k) {
    let data = [{ lb: '疑问分', jc: "Q", t: '', k: '' }, {
      lb: '说谎分', jc: "L", t: '', k: ''
    }, {
      lb: '诈病分',
      jc: "F",
      t: '',
      k: ''
    }, {
      lb: '校正分',
      jc: "K",
      t: '',
      k: ''
    }, {
      lb: '癔病',
      jc: "Hy",
      t: '',
      k: ''
    }, {
      lb: '精神病态',
      jc: "Pd",
      t: '',
      k: ''
    }, {
      lb: '男女子气',
      jc: "Mf",
      t: '',
      k: ''
    }, {
      lb: '偏执症',
      jc: "Pa",
      t: '',
      k: ''
    }, {
      lb: '精神衰弱',
      jc: "Pt",
      t: '',
      k: ''
    }, {
      lb: '精神分裂',
      jc: "Sc",
      t: '',
      k: ''
    }, {
      lb: '疑病症',
      jc: "Hs",
      t: '',
      k: ''
    }, {
      lb: '忧郁症', jc: "D", t: '', k: ''
    }, {
      lb: '轻躁狂症', jc: "Ma", t: '', k: ''
    }, { lb: '社会内向', jc: "Si", t: '', k: '' }
    ];
    var temp = []
    for (var i in data) {
      for (let j in t) {
        if (data[i].jc == j) {
          data[i].t = t[j];
        }
      }
      for (let u in k) {
        if (data[i].jc == u) {
          data[i].k = k[u];
        }
      }
    }
    this.setData({
      mmpi: data
    })
    // console.log(data)
  },
  // 拼接因子数据
  dealBase(s) {
    let that = this;
    let data = [{
      yz: 'P',
      t: '',
      min: '头脑清醒',
      cir: '',
      max: '思维障碍'
    }, {
      yz: 'N',
      t: '',
      min: '情绪稳定',
      cir: '',
      max: '消极'
    }, {
      yz: 'I',
      t: '',
      min: '外向',
      cir: '',
      max: '内向'
    }, {
      yz: 'F',
      t: '',
      min: '装坏',
      cir: '',
      max: '装好'
    }, {
      yz: 'M',
      t: '',
      min: '男子气',
      cir: '',
      max: '女子气'
    }, {
      yz: 'A',
      t: '',
      min: '温和',
      cir: '',
      max: '冲动'
    }];
    for (let j in data) {
      for (let i in s) {
        if (i == "F-2") {
          data[3].t = s[i];
          data[3].cir = that.anima(s[i]);
        }
        if (data[j].yz == i) {
          data[j].t = s[i];
          data[j].cir = that.anima(s[i]);
        }
      }
    }
    that.setData({
      base: data
    })

  },
  // 动画
  anima(e) {
    let n = Number(e);
    return parseInt((n / 125) * 100);
  },
  dealFl(str) {
    var s = str.replace('%', "");
    var ss = s.replace('.', "");
    return Number(ss);
  },
  shouye: function () {
    wx.reLaunch({
      url: '/pages/index/index',
    })
  },
  ceshi: function () {
    if (this.data.modal) {
      wx.redirectTo({
        url: '/pages/index/index',
      })
    } else {
      wx.navigateBack({
        delta: 1
      })
    }
  },
  liangbiao: function () {
    console.log(this.data.modal,'this.data.modal')
    if (this.data.modal) {
      wx.redirectTo({
        url: '/pages/index/index',
      })
    } else {
      wx.redirectTo({
        url: '/pages/liangbiao/liangbiao',
      })
    }
  },
  my: function () {
    if (this.data.modal) {
      wx.redirectTo({
        url: '/pages/index/index',
      })
    } else {
      wx.reLaunch({
        url: '/pages/myindex/myindex',
      })
    }
  },
  onShareAppMessage: function () {
    let that = this;
    var user = wx.getStorageSync('user');
    var person = wx.getStorageSync('person')
    return {
      title: that.data.lbname,
      imageUrl: Api.HOST + 'Public/yanzheng/zf.png',
      path: '/pages/result01/result01?lbname=' + that.data.lbname + '&res_id1=' + that.data.res_id + '&openid=' + user.openid + '&num=' + that.data.num + '&xueli=' + person.xueli + '&age=' + person.age + '&xb=' + person.xb + '& type=' + 0,
      success: function (res) {
        console.log(that.data.num)
      }
    }
  },
  /**
    * 判断用户身份
    * */
  puanDuanShenFen: function (options) {
    let that = this;
    // app.getUserInfo(function (userInfo) {
      var userInfo = wx.getStorageSync('userInfo');
      if (!userInfo) {
        app.getUserInfo();
      }
      var url = Api.HOST + 'wechat.php?s=Home/index';
      that.setData({
        headimgurl: userInfo.avatarUrl
      })
      var data = {};
      var user = wx.getStorageSync('user');
      data.openid = user.openid;
      data.nickname = userInfo.nickName;
      data.headimgurl = userInfo.avatarUrl;
      // data.opid = options.opid;
      // data.unitid = options.unitid;
      data.unionid = user.unionid;
      data.follow = 2;
      Api.fetchPost(url, data, (err, res) => {
        console.log(res,'res')
        // wx.setStorageSync('data', res)
        if (res.unitid == null) {
          var unitid = 'false';
          // wx.setStorageSync('unitid', unitid);
          if (that.data.iPhoneX) {
            var obj = { index: -1, unitid: false, iphonex: true };
          } else {
            var obj = { index: -1, unitid: false, iphonex: false };
          }
          that.setData({
            itemBtn: obj
          })
        } else {
          var unitid = res.unitid;
          // wx.setStorageSync('unitid', unitid);
          if (that.data.iPhoneX) {
            var obj = { index: -1, unitid: true, iphonex: true };
          } else {
            var obj = { index: -1, unitid: true, iphonex: false };
          }
          that.setData({
            itemBtn: obj
          })
        }

        if (res.follow == 0) {
          that.setData({
            modal: true
          })
        } else {
          that.setData({
            modal: false
          })
        }
      });
    // });
  },
})