var Api = require('../../utils/api.js');
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    type_lb:[], // 存放选择量表
    arr:[],  // 存放量表
    lb_show:"",  //  判断接口状态
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.setNavigationBarTitle({
      title: "常用量表设置"
    })
    // this.downLB1();
    this.downLB();
    
   
    // wx.setStorageSync("type_lb", type_lb);
  },
 
  downLB: function () {
    let that = this;
    var data = {};
    var hospitalmoney = wx.getStorageSync("hospitalmoney");
    if (hospitalmoney.measure_json == ''){
      console.log("lll")
      var url = Api.HOST_xinli + 'xinli/index.php/Api/measure_list';
    }else{
      console.log("ll000l")
      data.measure_id = hospitalmoney.measure_json;
      var url = Api.HOST_xinli + 'xinli/index.php/Api/measure_json';
    }
    // data.openid = '';
    
    Api.fetchPostN(url, data, (err, res) => {
      console.log(res, 'lb')
      wx.hideLoading()
      var lbarr = [];
      for (let i = 0; i < res.length; i++) {
        if (res[i].measure) {

          lbarr.push(res[i])
        }

      }
      console.log(lbarr, "lbarr")
      var hospitalmoney = wx.getStorageSync("hospitalmoney");
      var type_lb = [];
      if (hospitalmoney.measure_json == '') {
        var lb_show = 0;
        for (let i = 0; i < lbarr[0].measure.length;i++){
          type_lb.push(lbarr[0].measure[i].measure_id)
        }
      } else {
        var lb_show = 1;
        var type_lb = hospitalmoney.measure_json.split(",");
      }
      that.setData({ type_lb: type_lb, arr: lbarr, lb_show: lb_show})
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    let that = this;
    setTimeout(function () {
      wx.getSystemInfo({
        success: (res) => {
          console.log(res.windowHeight, 'res.windowHeight')
          var user = wx.getStorageSync("user")
          // if (user.unitid) {
          if (/^iPhone X.*/i.test(res.model)) {
            that.setData({
              iPhoneX: true,
              winH: res.windowHeight - 40
            })
          } else {
            that.setData({
              iPhoneX: false,
              winH: res.windowHeight - 40
            })
          }

        }
      });
    }, 600)
  },

  selectlb: function(e){
    // 获取量表分类  量表id
    var id = e.currentTarget.dataset.id;
    // 二维数组的第一个
    var prevnum = e.currentTarget.dataset.prevnum;
    // 二维数组的第二个
    var num = e.currentTarget.dataset.num;
    // var check = e.currentTarget.dataset.check;
    // var common = e.currentTarget.dataset.common;
    console.log(id, prevnum,num,'shuzu')
    // 获取存储数组
    var type_lb = this.data.type_lb;
    // 获取量表数组 二维数组
    var arr = this.data.arr;
    // console.log(arr,'arr')
    // console.log(type_lb, 'type_lb')
      if (arr[prevnum].measure[num].Common == 0) {
        // 添加样式
        arr[prevnum].measure[num].Common = 9;
        // 获取量表id
        type_lb.push(id);
      } else {
        console.log('shanc')
        // 删除样式
        arr[prevnum].measure[num].Common = 0;
        var ind = type_lb.indexOf(id)
        if (ind > -1) {
          type_lb.splice(ind, 1)
        }
      }
    // console.log(arr, 'arr')
    this.setData({
      arr:arr
    })
    
  },
  // 提交
  saveData: function(){
    let that = this;
    var type_lb = this.data.type_lb;
    type_lb = type_lb.join(",")
    // console.log(type_lb, 'type_lb')
    var alldata = wx.getStorageSync("data");
    var data = {};
    data.measure_id = type_lb
    data.unitid = alldata.unitid;
    // wechat.php?s=/measure/admin_measure'
    var url = Api.HOST + 'wechat.php?s=/Measure/hospital_measure_json';
    Api.fetchPostN(url, data, (err, res) => {
      // console.log(res,'res')
      if(res == 1){
        var hospitalmoney = wx.getStorageSync("hospitalmoney");
        hospitalmoney.measure_json = type_lb;
        wx.setStorageSync("hospitalmoney", hospitalmoney)
        wx.navigateBack({
          delta:1
        })
      }
    })
    
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  }
})