//验证数据的完整性
export function checkAnswerRecord(data){
	for(let i = 0;i < data.length;i++){
		let keys = Object.keys(data[i])
		if(keys.length != 1 && keys.length != 4 && keys.length != 5){
			return false
			break
		}
	}
	return true
}
//将数据转为后端需要的格式,将数组对象中的score取出来
export function sendAnswerScore(data){
	let arr = []
	data.forEach((value,index)=>{
		let arr1 = []
		for (let key in value) {
			arr1.push(value[key].score)
		}
		arr[index] = arr1.join(',')
	})
	return arr.join('|')
}
export function sendAnswerOption(data){
	let arr = []
	data.forEach((value,index)=>{
		let arr1 = []
		for (let key in value) {
			arr1.push(value[key].index)
		}
		arr[index] = arr1.join(',')
	})
	return arr.join('|')
}
//答题记录的保存格式
// [
// 	{0:{index:0,score:0}},	//选择未发生或一年前，key为选项数组的索引，index为选项数组中content的索引,score为分数
// 	{0:{index:1,score:0},1:{index:4,score:4},2:{index:1,score:0},3:{index:1,score:0},4:{index:4,score:3}},	//一年内
// ]