var Api = require('../../utils/api.js');
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tel: "",
    newtime:'',
    time:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    let that = this;
    var newtime = that.time(new Date());
    that.setData({
      newtime: newtime
    })
    wx.setNavigationBarTitle({
      title: "心理CT系统"
    })
    var user = wx.getStorageSync('user');
    var data = {};
    data.openid = user.openid;

    var url1 = Api.HOST + 'wechat.php?s=Home/isFenXiang';
    data.typea = 7;
    Api.fetchPost(url1, data, (err, res) => {
      console.log(res, 'res')
      var host = Api.HOST;
      var imgSrc = that.dealPho(res.res.imgpath[0], host);
      that.setData({
        tel: res.res.phone
      })
    })
  },
  dealPho(str, host) {
    return str.replace("./", host);
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },
  phone: function() {
    let that = this;
    wx.makePhoneCall({
      phoneNumber: that.data.tel //仅为示例，并非真实的电话号码
    })
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {
    var user = wx.getStorageSync("user");
    //  if(user){
    var newtime = this.time(new Date());
    this.setData({
      newtime: newtime
    })
    var url1 = Api.HOST + 'wechat.php?s=Home/is_hospital';
    var data1 = {};
    //  if (user.unitid) {
    data1.openid = user.openid;
    Api.fetchPost(url1, data1, (err, res) => {
      //  wx.hideLoading()
      console.log(res, 'lll')
      var time = this.time(res.ret.create_time);
      this.setData({
        time: time
      })
      wx.setStorageSync('hospital', res.ret)
      if (res.ret && res.ret.type == 1) {
        wx.switchTab({
          url: '/pages/index/index',
          success: function() {

          }
        })
      }
    })
  },
  refresh: function() {
    wx.showToast({
      icon: 'loading',
      duration: 2000
    })
    this.onShow()
  },
  
  makePhoneCall: function() {
    var tel=this.data.tel;
    wx.makePhoneCall({
      phoneNumber: tel
    })
  },
  time(timestamp) {
    if(timestamp.length<1){
      return;
    }
    var date = new Date(timestamp)
    if (timestamp.length==10){
      date = new Date(timestamp*1000)
    }
   ; //时间戳为10位需*1000，时间戳为13位的话不需乘1000
    var Y = date.getFullYear() + '/';
    var M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '/';
    var D = date.getDate() + ' ';
    var h = date.getHours() + ':';
    var m = date.getMinutes();
    D = D < 10 ? '0' + D : D;
    m = m < 10 ? '0' + m : m;
    return Y + M + D + h + m;
  }, 
})